#include <stdio.h>

#include <stdlib.h>

int main()

{

    int line;//代表行数

    int i;

    char letter,ch;

   printf("请输入一个大写字母:");

   scanf("%c",&letter);

   for(line=0;line<=letter-'A';line++)                    //关键在于line的使用 

    {

       for(i=0;i<letter-'A'-line;i++)

            printf(" ");

       for(ch='A';ch<=('A'+line);ch++)           //升序输出字母

           printf("%c",ch);

        ch-=2;

       while(ch!='A'-1)

           printf("%c",ch--);

       printf("\n");

    }

    return 0;

}
